package com.ssj.service.conch.teacher.v1.request;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

public class SeniorFeedbackRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", value = "学生id", required = true)
    private String studentId;

    @ApiModelProperty(name = "courseId", value = "课程id", required = true)
    private String courseId;

    @ApiModelProperty(name = "type", value = "类型, 0保存, 1提交", required = false)
    private int type;

    @ApiModelProperty(name = "wrongList", value = "错题列表", required = false)
    private List<Integer> wrongList;

    @ApiModelProperty(name = "notUsedList", value = "未使用题目列表", required = false)
    private List<Integer> notUsedList;

    @ApiModelProperty(name = "classLine", value = "课堂纪律评星", required = false)
    private int classLine;

    @ApiModelProperty(name = "activity", value = "学习主动性", required = false)
    private int activity;

    @ApiModelProperty(name = "teacherMsg", value = "老师评语", required = false)
    private String teacherMsg;


    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getCourseId() {
        return courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<Integer> getWrongList() {
        return wrongList;
    }

    public void setWrongList(List<Integer> wrongList) {
        this.wrongList = wrongList;
    }

    public List<Integer> getNotUsedList() {
        return notUsedList;
    }

    public void setNotUsedList(List<Integer> notUsedList) {
        this.notUsedList = notUsedList;
    }

    public int getClassLine() {
        return classLine;
    }

    public void setClassLine(int classLine) {
        this.classLine = classLine;
    }

    public int getActivity() {
        return activity;
    }

    public void setActivity(int activity) {
        this.activity = activity;
    }

    public String getTeacherMsg() {
        return teacherMsg;
    }

    public void setTeacherMsg(String teacherMsg) {
        this.teacherMsg = teacherMsg;
    }
}
